% $Id$ %
\subsection{Minesweeper}
\screenshot{plugins/images/ss-minesweeper}{Minesweeper plugin}{img:minesweeper}
The classic game of minesweeper. Use 
\opt{RECORDER_PAD,ONDIO_PAD,IRIVER_H100_PAD,IRIVER_H300_PAD,IAUDIO_X5_PAD%
     ,SANSA_E200_PAD,GIGABEAT_PAD,GIGABEAT_S_PAD}
    {the \ButtonUp\ and \ButtonDown\ keys}
\opt{IPOD_4G_PAD,IPOD_3G_PAD}{\ButtonScrollFwd/\ButtonScrollBack }
\opt{IRIVER_H10_PAD}{\ButtonScrollUp/\ButtonScrollDown}
to select the required percentage of mines to set the difficulty 
then press the 
\opt{RECORDER_PAD}{\ButtonOn}
\opt{ONDIO_PAD}{\ButtonMenu}
\opt{IRIVER_H100_PAD,IRIVER_H300_PAD,IPOD_4G_PAD,IPOD_3G_PAD,SANSA_E200_PAD%
     ,GIGABEAT_PAD,GIGABEAT_S_PAD}{\ButtonSelect}
\opt{IAUDIO_X5_PAD}{\ButtonRec}
\opt{IRIVER_H10_PAD}{\ButtonFF}key to begin.

The aim of the game is to uncover all of the squares on the board.  If a
mine is uncovered then the game is over. If a mine is not uncovered,
then the number of mines adjacent to the current square is revealed. 
The aim is to use the information you are given to work out where the
mines are and avoid them.  When the player is certain that they know
the location of a mine, it can be tagged to avoid accidentally
``stepping'' on it.

\begin{table}
 \begin{btnmap}{}{}
  \opt{IPOD_4G_PAD,IPOD_3G_PAD}{\ButtonMenu{} / \ButtonPlay{} / \ButtonLeft{} / \ButtonRight}
  \opt{RECORDER_PAD,ONDIO_PAD,IRIVER_H100_PAD,IRIVER_H300_PAD,IAUDIO_X5_PAD,SANSA_E200_PAD%
      ,SANSA_C200_PAD,GIGABEAT_PAD,GIGABEAT_S_PAD,MROBE100_PAD}
      {\ButtonUp{} / \ButtonDown{} / \ButtonLeft{} / \ButtonRight}
  \opt{IRIVER_H10_PAD}
      {\ButtonScrollUp{} / \ButtonScrollDown{} / \ButtonLeft{} / \ButtonRight}
       \opt{HAVEREMOTEKEYMAP}{& }
  & Move the cursor across the minefield \\
  %
  \opt{IPOD_4G_PAD,IPOD_3G_PAD,SANSA_E200_PAD}{\ButtonScrollFwd{} / \ButtonScrollBack
       \opt{HAVEREMOTEKEYMAP}{& }
  & Scroll through the entire minefield \\}%
  %
  \opt{RECORDER_PAD}{\ButtonFOne/\ButtonOn}
  \opt{ONDIO_PAD}{\ButtonMenu}
  \opt{IRIVER_H100_PAD,IRIVER_H300_PAD}{\ButtonOn{} / \ButtonRec}
  \opt{IPOD_4G_PAD,IPOD_3G_PAD}{\ButtonSelect}
  \opt{IAUDIO_X5_PAD,IRIVER_H10_PAD,GIGABEAT_S_PAD}{\ButtonPlay}
  \opt{SANSA_E200_PAD}{\ButtonRec}
  \opt{SANSA_C200_PAD}{\ButtonSelect{} / \ButtonVolDown}
  \opt{GIGABEAT_PAD}{\ButtonA}
  \opt{MROBE100_PAD}{\ButtonDisplay}
       \opt{HAVEREMOTEKEYMAP}{& }
  & Toggle flag on / off \\
  %
  \opt{RECORDER_PAD}{\ButtonFTwo/\ButtonPlay}
  \opt{ONDIO_PAD}{Long \ButtonMenu}
  \opt{IRIVER_H100_PAD,IRIVER_H300_PAD,IAUDIO_X5_PAD,SANSA_E200_PAD%
      ,GIGABEAT_PAD,GIGABEAT_S_PAD,MROBE100_PAD}{\ButtonSelect}
  \opt{IPOD_4G_PAD,IPOD_3G_PAD}{Long \ButtonSelect}
  \opt{IRIVER_H10_PAD}{\ButtonRew}
  \opt{SANSA_C200_PAD}{Long \ButtonSelect{} / \ButtonVolUp}
       \opt{HAVEREMOTEKEYMAP}{& }
  & Reveal the contents of the current square \\
  %
  \opt{RECORDER_PAD}{\ButtonFThree}
  \opt{ONDIO_PAD}{Long \ButtonMenu+\ButtonOff}
  \opt{IRIVER_H100_PAD,IRIVER_H300_PAD}{\ButtonMode}
  \opt{IPOD_4G_PAD,IPOD_3G_PAD}{\ButtonSelect+\ButtonPlay}
  \opt{IAUDIO_X5_PAD,SANSA_C200_PAD}{\ButtonRec}
  \opt{SANSA_E200_PAD}{Long \ButtonRec}
  \opt{IRIVER_H10_PAD}{\ButtonRew+\ButtonPlay}
  \opt{GIGABEAT_PAD,GIGABEAT_S_PAD,MROBE100_PAD}{\ButtonMenu}
       \opt{HAVEREMOTEKEYMAP}{& }
  & Display the current game status \\
  %
  \opt{RECORDER_PAD,ONDIO_PAD,IRIVER_H100_PAD,IRIVER_H300_PAD}{\ButtonOff}
  \opt{IAUDIO_X5_PAD,IRIVER_H10_PAD,SANSA_E200_PAD,SANSA_C200_PAD,GIGABEAT_PAD,MROBE100_PAD}{\ButtonPower}
  \opt{IPOD_4G_PAD,IPOD_3G_PAD}{\ButtonSelect+\ButtonMenu}
  \opt{GIGABEAT_S_PAD}{\ButtonBack}
       \opt{HAVEREMOTEKEYMAP}{& 
          \opt{IRIVER_RC_H100_PAD}{\ButtonRCStop}
        }
  & Exit the game \\
\end{btnmap}
\end{table}
